<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('List');

/**
 * Field to map import template columns in template editor
 *
 * @since   2.0.0
 */
class JFormFieldProductUniqueKey extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 *
	 * @since  2.0.0
	 */
	public $type = 'ProductUniqueKey';

	/**
	 * Method to get the field options.
	 *
	 * @return  array  The field option objects.
	 *
	 * @throws  Exception
	 *
	 * @since   2.0.0
	 */
	protected function getOptions()
	{
		$helper  = SellaciousHelper::getInstance();
		$options = array();

		if ($helper->access->checkAny(array('basic', 'basic.own'), 'product.edit.'))
		{
			$options[] = JHtml::_('select.option', 'product_title', JText::_('PLG_SYSTEM_SELLACIOUSIMPORTER_PRODUCT_PRODUCT_TITLE_OPTION_LABEL'));
			$options[] = JHtml::_('select.option', 'product_unique_alias', JText::_('PLG_SYSTEM_SELLACIOUSIMPORTER_PRODUCT_PRODUCT_UNIQUE_ALIAS_OPTION_LABEL'));
			$options[] = JHtml::_('select.option', 'product_sku', JText::_('PLG_SYSTEM_SELLACIOUSIMPORTER_PRODUCT_PRODUCT_SKU_OPTION_LABEL'));
			$options[] = JHtml::_('select.option', 'mfg_assigned_sku', JText::_('PLG_SYSTEM_SELLACIOUSIMPORTER_PRODUCT_PRODUCT_MFG_SKU_OPTION_LABEL'));
		}

		if ($helper->access->checkAny(array('seller', 'seller.own'),'product.edit.'))
		{
			$options[] = JHtml::_('select.option', 'seller_sku', JText::_('PLG_SYSTEM_SELLACIOUSIMPORTER_PRODUCT_PRODUCT_SELLER_SKU_OPTION_LABEL'));
		}

		return array_merge(parent::getOptions(), $options);
	}
}
