<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('List');

/**
 * Form Field class for the Joomla Framework.
 *
 * @since   2.0.0
 */
class JFormFieldTimePicker extends JFormFieldList
{
	/**
	 * The field type.
	 *
	 * @var  string
	 *
	 * @since   2.0.0
	 */
	protected $type = 'TimePicker';

	/**
	 * Method to get the field options.
	 *
	 * @return  array  The field option objects.
	 *
	 * @since   2.0.0
	 */
	protected function getOptions()
	{
		$options = array();

		$timeOptions = array();
		$time        = JFactory::getDate('00:00');
		$end         = clone $time;
		$end->modify("+24 hours");

		while ($time < $end) {
			$timeOptions[] = $time->format('h:i A');
			$time->modify('+15 minutes');
		}

		foreach ($timeOptions as $timeOption)
		{
			$options[] = JHtml::_('select.option', $timeOption, $timeOption);
		}

		return array_merge(parent::getOptions(), $options);
	}
}
