/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */

(function ($) {
    $(document).ready(function () {
        $(document.body).on('subform-row-add', function(event, row) {
            var input = $(row).find('.day-slots-input');

            if (input) {
                let id = input.find('.day-hidden').attr('id');
                let name = input.find('.day-hidden').attr('name');
                var dayId = id + '__day';
                var date = input.data('date');
                var sellerUid = input.data('seller_uid');
                var slotName = name + '[slot]';
                var slotId = id + '__slot';
                var slotVal = input.data('slot_val');

                if (!dayId) {
                    return;
                }

                $(row).find('#' + dayId).on('change', function(){
                    var data = {
                        option: 'com_ajax',
                        plugin: 'sellaciousdelivery',
                        method: 'onAjaxGetSlots',
                        slot_date: date,
                        week_day: $(this).val(),
                        seller_uid: sellerUid,
                        field_name: slotName,
                        field_id: slotId,
                        get_all_slots: 'true',
                        format: 'json'
                    };

                    var paths = Joomla.getOptions('system.paths', {});
                    var base  = paths.root || '';

                    $.ajax({
                        url: base + '/index.php',
                        type: 'POST',
                        dataType: 'json',
                        cache: false,
                        data: data,
                    }).done(function (response) {
                        if (response.success == true) {
                            if (response.data.html != "") {
                                $('#' + slotId).html(response.data.html);
                                $('#' + slotId).val(slotVal).select2();
                            }
                        } else {
                            Joomla.renderMessages({warning: [response.message]});
                        }
                    }).fail(function (jqXHR) {
                        Joomla.renderMessages({warning: ['Request failed due to unknown error.']});
                    });
                });

                $(row).find('#' + dayId).trigger('change');
            }
        });

        $(document.body).on('subform-row-remove', function (event, row) {
            var id = $(row).find('.next_hour_rate_id').val();

            if (id > 0) {
                var deleteIds = $('.next_hour_rates_delete_ids').val();
                deleteIds = deleteIds.split(',').filter(v=>v!='');
                deleteIds.push(id);

                $('.next_hour_rates_delete_ids').val(deleteIds.join(','));
            }
        });
    });
})(jQuery);
