<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
namespace Sellacious\Cache\Builder\Adapter;

use Exception;
use JDatabaseDriver;
use JFactory;
use Sellacious\Config\Config;
use Sellacious\Config\ConfigHelper;
use SellaciousHelper;

abstract class AbstractCacheAdapter
{
	/**
	 * Sellacious application helper
	 *
	 * @var    SellaciousHelper
	 *
	 * @since   2.0.0
	 */
	public $helper;

	/**
	 * Sellacious configuration object
	 *
	 * @var  Config
	 *
	 * @since   2.0.0
	 */
	public $config;

	/**
	 * The database driver object
	 *
	 * @var    JDatabaseDriver
	 *
	 * @since   2.0.0
	 */
	public $db;

	/**
	 * AbstractCacheAdapter constructor
	 *
	 * @throws  Exception
	 *
	 * @since   2.0.0
	 */
	public function __construct()
	{
		$this->db     = JFactory::getDbo();
		$this->helper = SellaciousHelper::getInstance();
		$this->config = ConfigHelper::getInstance('com_sellacious');
	}
}
