<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
namespace Sellacious\Database\Table\Field;

use JsonSerializable;

defined('_JEXEC') or die;

class SelectField implements JsonSerializable
{
	/**
	 * @var   string
	 *
	 * @since   2.0.0
	 */
	public $col;

	/**
	 * @var   string
	 *
	 * @since   2.0.0
	 */
	public $alias;

	/**
	 * @var   string
	 *
	 * @since   2.0.0
	 */
	public $function;

	/**
	 * Filter constructor
	 *
	 * @param   string  $col
	 * @param   string  $alias
	 * @param   string  $function
	 *
	 * @since   2.0.0
	 */
	public function __construct($col, $alias = null, $function = null)
	{
		$this->col      = $col;
		$this->alias    = $alias;
		$this->function = $function;
	}

	/**
	 * Return data which should be serialized by json_encode()
	 *
	 * @return  array
	 *
	 * @since   2.0.0
	 */
	public function jsonSerialize()
	{
		return get_object_vars($this);
	}
}
