<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
namespace Sellacious\Database\Table\Filter;

use JsonSerializable;

defined('_JEXEC') or die;

abstract class AbstractFilter implements JsonSerializable
{
	protected $type;

	/**
	 * Filter constructor
	 *
	 * @param  string  $type
	 *
	 * @since   2.0.0
	 */
	public function __construct($type)
	{
		$this->type = $type;
	}

	/**
	 * Return data which should be serialized by json_encode()
	 *
	 * @return  array
	 *
	 * @since   2.0.0
	 */
	public function jsonSerialize()
	{
		return $this->toArray();
	}

	/**
	 * Return data as array
	 *
	 * @return  array
	 *
	 * @since   2.0.0
	 */
	public function toArray()
	{
		return get_object_vars($this);
	}

	/**
	 * Get the filter element type
	 *
	 * @return  string
	 *
	 * @since   2.0.0
	 */
	public function getType()
	{
		return $this->type;
	}
}
