<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
namespace Sellacious\Database\Table\Filter;

defined('_JEXEC') or die;

class FilterElement extends AbstractFilter
{
	protected $type = null;

	protected $col = null;

	protected $values = null;

	protected $cast = null;

	/**
	 * Filter constructor
	 *
	 * @param   string  $type
	 * @param   string  $col
	 * @param   mixed   $values
	 * @param   string  $cast
	 *
	 * @since   2.0.0
	 */
	public function __construct($type, $col, $values, $cast = null)
	{
		parent::__construct($type);

		$this->setCondition($col, $values)->setCast($cast);
	}

	/**
	 * Set the filter condition to set
	 *
	 * @param   string  $col
	 * @param   mixed   $values
	 *
	 * @return  static
	 *
	 * @since   2.0.0
	 */
	public function setCondition($col, $values)
	{
		$this->col    = $col;
		$this->values = $values;

		return $this;
	}

	/**
	 * Set the type casting for the filtering
	 *
	 * @param   string  $cast
	 *
	 * @return  static
	 *
	 * @since   2.0.0
	 */
	public function setCast($cast = null)
	{
		$this->cast = $cast;

		return $this;
	}

	public function getCol()
	{
		return $this->col;
	}

	public function getValues()
	{
		return $this->values;
	}

	public function getCast()
	{
		return $this->cast;
	}
}
