<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
namespace Sellacious\Database\Table\Filter;

defined('_JEXEC') or die;

class FilterSet extends AbstractFilter
{
	protected $type;

	/**
	 * List of filter elements
	 *
	 * @param  AbstractFilter[]
	 *
	 * @since   2.0.0
	 */
	protected $elements = array();

	/**
	 * Add a filter element to set
	 *
	 * @param  AbstractFilter  $element
	 *
	 * @since   2.0.0
	 */
	public function addElement(AbstractFilter $element)
	{
		$this->elements[] = $element;
	}

	/**
	 * Get count of elements
	 *
	 * @return  int
	 *
	 * @since   2.0.0
	 */
	public function count()
	{
		return count($this->elements);
	}

	/**
	 * Get list of elements
	 *
	 * @return  AbstractFilter[]
	 *
	 * @since   2.0.0
	 */
	public function getElements()
	{
		return $this->elements;
	}
}
