<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

/**
 * List controller class.
 *
 * @since   2.0.0
 */
class SellaciousControllerCommissions extends SellaciousControllerBase
{
	/**
	 * AJAX Method to get child categories commission for a category
	 *
	 * @since   2.0.0
	 */
	public function getChildCommissionsAjax()
	{
		try
		{
			if (!JSession::checkToken())
			{
				throw new Exception(JText::_('JINVALID_TOKEN'));
			}

			$catId    = $this->app->input->getInt('category_id', 0);
			$id       = $this->app->input->getInt('id', 0);
			$context  = $this->app->input->getString('context');
			$formType = $this->app->input->getString('form_type');
			$currency = $this->app->input->getString('currency');

			/** @var SellaciousModelCommissions $model */
			$model       = $this->getModel('Commissions', 'SellaciousModel');
			$commissions = $model->getChildCommissions($catId, $id, $context, $formType);

			$data = array(
				'items'            => $commissions,
				'currency'         => $currency,
				'expand_children'  => true,
				'base_category_id' => $catId,
			);

			$html = JLayoutHelper::render('com_sellacious.commission.list', $data);

			echo new JResponseJson(array('html' => $html));
		}
		catch (Exception $e)
		{
			echo new JResponseJson($e);
		}

		$this->app->close();
	}
}
