<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

/**
 * User controller class
 *
 * @since  2.0.0
 */
class SellaciousControllerUser extends SellaciousControllerBase
{
	/**
	 * Provides autocomplete interface to javascript functions
	 *
	 * @return  void
	 *
	 * @since   2.0.0
	 */
	public function autoComplete()
	{
		try
		{
			$query  = $this->input->getString('query');
			$offset = $this->input->getInt('list_start');
			$limit  = $this->input->getInt('list_limit');
			$types  = $this->input->getString('types', '');
			$types  = explode(',', $types);

			$defaultOptions = array_filter($this->input->get('default_options', array(), 'Array'));

			// Will only take one type
			$type = $types ? $types[0] : '';

			/** @var  SellaciousModelUser $model */
			$model = $this->getModel('User', 'SellaciousModel');
			$data  = $model->suggest(trim($query), null, $type, array($offset, $limit), $defaultOptions);

			echo new JResponseJson($data);
		}
		catch (Exception $e)
		{
			echo new JResponseJson($e);
		}

		$this->app->close();
	}

	/**
	 * Get details of given item
	 *
	 * @throws  Exception
	 *
	 * @since   2.0.0
	 */
	public function getInfoAjax()
	{
		try
		{
			$keys  = $this->input->get('id', array(), 'array');
			$types = $this->input->getString('types', '');
			$types = explode(',', $types);

			$defaultOptions = $this->input->get('default_options', array(), 'Array');

			// Will only take one type
			$type = $types ? $types[0] : '';

			/** @var  SellaciousModelUser $model */
			$model = $this->getModel('User', 'SellaciousModel');
			$items = $model->suggest('', $keys, $type, null, $defaultOptions);

			echo new JResponseJson($items);
		}
		catch (Exception $e)
		{
			echo new JResponseJson($e);
		}

		$this->app->close();
	}
}
