<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

$tOptions = array('view' => $this, 'options' => array('filtersHidden' => true));
$toolbar  = JLayoutHelper::render('joomla.searchtools.default', $tOptions);

// Load the behaviors.
JHtml::_('jquery.framework');

JHtml::_('behavior.multiselect');
JHtml::_('bootstrap.tooltip');

JHtml::_('script', 'com_sellacious/plugin/select2/select2.min.js', array('version' => S_VERSION_CORE, 'relative' => true));
JHtml::_('script', JPATH_SELLACIOUS . '/templates/sellacious/js/sellacious-core.js', array('version' => S_VERSION_CORE));
JHtml::_('stylesheet', 'com_sellacious/view.commissions.css', array('version' => S_VERSION_CORE, 'relative' => true));
JHtml::_('script', 'com_sellacious/view.commissions.js', array('version' => S_VERSION_CORE, 'relative' => true));

$doc = JFactory::getDocument();

$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn  = $this->escape($this->state->get('list.direction'));

$context = $this->state->get('filter.context', 'product');
?>
<form action="<?php echo JUri::getInstance()->toString(array('path', 'query', 'fragment')); ?>"
      method="post" name="adminForm" id="adminForm" class="form-horizontal">

	<div class="commissions-form">
		<div class="box-toolbar">

			<div class="pull-left">
				<h1 class="page-title">
					<span class="fa fa-lg fa-file"></span>
					<?php echo JText::_('COM_SELLACIOUS_TITLE_COMMISSIONS_SELLER'); ?>
				</h1>
			</div>

			<div class="pull-right">
				<div class="btn-toolbar" role="toolbar" aria-label="Toolbar" id="toolbar">
					<div class="btn-wrapper btn-group" id="toolbar-apply">
						<button type="button" class="button-apply btn btn-success btn-small"
						        onclick="Joomla.submitbutton('commissions.apply');">
							<i class="fa fa-save"></i>
							<span class="hidden-xs"> <?php echo JText::_('JAPPLY') ?></span>
						</button>
					</div>
					<div class="btn-wrapper btn-group" id="toolbar-save">
						<button type="button" class="button-save btn btn-success btn-small"
						        onclick="Joomla.submitbutton('commissions.save');">
							<i class="fa fa-save"></i>
							<span class="hidden-xs"> <?php echo JText::_('JTOOLBAR_SAVE') ?></span>
						</button>
					</div>
					<div class="btn-wrapper btn-group" id="toolbar-cancel">
						<button type="button" class="button-cancel btn btn-default btn-small"
						        onclick="window.parent && window.parent.jQuery('.iframe-drawer-close').click();">
							<i class="icon-cancel"></i>
							<span class="hidden-xs"> <?php echo JText::_('COM_SELLACIOUS_COMMISSIONS_CLOSE_DISCARD') ?></span>
						</button>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>

		<div class="clearfix"></div>
		<br>

	</div>

	<div class="search-filter-offcanvas">
		<?php echo $toolbar; ?>
	</div>

	<div class="clearfix"></div>

	<div id="component-inner-container">
		<div class="table-responsive">
			<table id="commissionList" class="w100p table table-striped table-bordered table-hover">
				<thead>
				<?php echo $this->loadTemplate('head'); ?>
				</thead>
				<tbody>
				<?php echo $this->loadTemplate('body'); ?>
				</tbody>
				<?php if (isset($this->pagination) && $this->pagination instanceof JPagination): ?>
					<tfoot>
					<tr>
						<td colspan="100" class="center">
							<?php echo $this->pagination->getListFooter(); ?><br/>
							<?php echo $this->pagination->getResultsCounter(); ?>
						</td>
					</tr>
					</tfoot>
				<?php endif; ?>
			</table>
		</div>


	<input type="hidden" name="context" id="context" value="<?php echo $this->state->get('filter.context');?>"/>
	<input type="hidden" name="form_type" id="form_type" value="<?php echo $this->state->get('filter.form_type');?>"/>
	<input type="hidden" name="currency" id="currency" value="<?php echo $this->state->get('currency');?>"/>
	<input type="hidden" name="jform[id]" id="jform_id" value="<?php echo $this->state->get('category_id');?>"/>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="boxchecked" value="0"/>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>
	<?php echo JHtml::_('form.token'); ?>
</form>
<script>
    jQuery($ => {
        if (window.parent !== window) {
			<?php if ($this->app->input->get('layout') === 'close'): ?>
                window.parent.jQuery('.iframe-drawer-close').click();
			<?php endif; ?>
        } else {
			<?php
			$id  = $this->state->get('category_id');
			$url = 'index.php?option=com_sellacious&&view=category&layout=edit&id=' . $id;
			?>
            window.parent.location.href = "<?php echo $url ?>";
        }
        document.getElementById('adminForm').onsubmit = () => Joomla.loadingLayer('show');
    });
</script>

