<?php
/**
 * @package     ${NAMESPACE}
 * @subpackage
 *
 * @copyright   A copyright
 * @license     A "Slug" license name e.g. GPL2
 */

// no direct access.
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('List');

/**
 * Payment Method list field class
 *
 * @since   2.0.0
 */
class JFormFieldPaymentMethodList extends JFormFieldList
{
	/**
	 * The field type.
	 *
	 * @var   string
	 *
	 * @since   2.0.0
	 */
	protected $type = 'PaymentMethodList';

	/**
	 * Method to get a list of options for a list input.
	 *
	 * @return  array  An array of JHtml options.
	 *
	 * @since   2.0.0
	 */
	protected function getOptions()
	{
		$options  = array();

		try
		{
			$helper   = SellaciousHelper::getInstance();
			$handlers = $helper->paymentMethod->getHandlers();
		}
		catch (Exception $e)
		{
			$handlers = array();
		}

		if (!$helper->access->check('paymentmethod.edit'))
		{
			$choices = array_filter(explode('|', (string) $this->element['choices']), 'strlen');
		}

		foreach ($handlers as $key => $value)
		{
			if (empty($choices) || in_array($key, $choices))
			{
				$options[] = JHtml::_('select.option', $key, JText::_($value));
			}
		}

		return array_merge(parent::getOptions(), $options);
	}
}
