<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
use Joomla\CMS\Layout\FileLayout;

defined('_JEXEC') or die;

JFormHelper::loadFieldClass('Number');

/**
 * Form field class
 *
 * @since   2.0.0
 */
class JFormFieldQuantityCombo extends JFormFieldNumber
{
	/**
	 * The field type.
	 *
	 * @var		string
	 */
	protected $type = 'QuantityCombo';

	/**
	 * Name of the layout being used to render the field
	 *
	 * @var    string
	 *
	 * @since  2.0.0
	 */
	protected $layout = 'com_sellacious.formfield.quantitycombo';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   2.0.0
	 */
	protected function getInput()
	{
		parent::getInput();

		$layout = new FileLayout($this->layout, '');
		$layout->addIncludePath(JPATH_SELLACIOUS . '/templates/sellacious/html/layouts/');

		return $layout->render($this->getLayoutData());
	}
}
