<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

/**
 * View class for a list of category commissions.
 *
 * @since   2.0.0
 */
class SellaciousViewCommissions extends SellaciousViewList
{
	/**
	 * @var  string
	 *
	 * @since   2.0.0
	 */
	protected $action_prefix = 'category';

	/**
	 * @var  string
	 *
	 * @since   2.0.0
	 */
	protected $view_item = 'category';

	/**
	 * @var  string
	 *
	 * @since   2.0.0
	 */
	protected $view_list = 'categories';

	/**
	 * Add the page title and toolbar
	 *
	 * @throws  Exception
	 *
	 * @since   2.0.0
	 */
	protected function addToolbar()
	{
		$this->app->input->set('tmpl', 'component');

		if ($this->helper->access->check('category.edit') || $this->helper->access->check('category.edit.own'))
		{
			JToolBarHelper::addNew('commissions.save', 'JTOOLBAR_APPLY', true);
		}
	}
}
