<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// No direct access
use Joomla\Utilities\ArrayHelper;

defined('_JEXEC') or die;

/**
 * Controller class
 *
 * @since   2.0.0
 */
class SellaciousdeliveryControllerSlots extends SellaciousControllerAdmin
{
	/**
	 * Method to set slot rates
	 *
	 * @throws  Exception
	 *
	 * @since   2.0.0
	 */
	public function setRates()
	{
		$app  = JFactory::getApplication();
		$data = $app->input->get('jform', array(), 'Array');

		/** @var SellaciousdeliveryModelSlots $model */
		$model = $this->getModel('Slots', 'SellaciousdeliveryModel');
		$model->setSlotRates($data);

		$sellerUid = ArrayHelper::getValue($data, 'seller_uid', 0);
		$ruleId    = ArrayHelper::getValue($data, 'shippingrule_id', 0);

		$url = 'index.php?option=com_sellaciousdelivery&view=slots&layout=close&seller_uid=' . $sellerUid . '&shipping_rule_id=' . $ruleId;

		$app->enqueueMessage(JText::_('COM_SELLACIOUSDELIVERY_SLOTS_SAVE_SUCCESSFULLY'));
		$this->setRedirect(JRoute::_($url, false));

		return true;
	}
}
