<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
namespace Sellacious\StoreTimings;

/**
 * Class Slot Rate
 *
 * @package Sellacious\StoreTimings
 *
 * @since   2.0.0
 */
class SlotRate extends Slot
{
	/**
	 * Identifier for slot
	 *
	 * @var  mixed
	 *
	 * @since   2.0.0
	 */
	protected $id;

	/**
	 * Amount for slot
	 *
	 * @var  mixed
	 *
	 * @since   2.0.0
	 */
	protected $amount;

	/**
	 *  Id
	 *
	 * @return  mixed
	 *
	 * @since   2.0.0
	 */
	public function getId()
	{
		return $this->id;
	}

	/**
	 * @param  mixed  $id
	 *
	 * @since   2.0.0
	 */
	public function setId($id)
	{
		$this->id = $id;
	}

	/**
	 * Return an array representation of the slot
	 *
	 * @return  array
	 *
	 * @since   2.0.0
	 */
	public function toArray()
	{
		$array           = parent::toArray();
		$array['id']     = $this->id;
		$array['amount'] = $this->amount;

		return $array;
	}

	/**
	 * Amount
	 *
	 * @return  mixed
	 *
	 * @since   2.0.0
	 */
	public function getAmount()
	{
		return $this->amount;
	}

	/**
	 * @param   mixed  $amount
	 *
	 * @since   2.0.0
	 */
	public function setAmount($amount)
	{
		$this->amount = $amount;
	}
}
