<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// No direct access
defined('_JEXEC') or die;

/** @var SellaciousdeliveryViewSlots $this */

/** @var SellaciousdeliveryModelSlots $model */
$model = $this->getModel();
?>
<form action="<?php echo JUri::getInstance()->toString(); ?>"
      method="post" name="adminForm" id="adminForm" class="form-validate form-horizontal" enctype="multipart/form-data">

	<div class="slots-edit-form">
		<div class="box-toolbar">

			<div class="pull-left">
				<h1 class="page-title">
					<span class="fa fa-lg fa-calendar"></span>
					<?php echo JText::_('COM_SELLACIOUSDELIVERY_SLOTS') ?>
				</h1>
			</div>

			<div class="pull-right">
				<div class="btn-toolbar" role="toolbar" aria-label="Toolbar" id="toolbar">
					<div class="btn-wrapper btn-group" id="toolbar-save">
						<button type="button" class="button-save btn btn-success btn-small"
						        onclick="Joomla.submitbutton('slots.setRates');">
							<i class="fa fa-save"></i>
							<span class="hidden-xs"> <?php echo JText::_('JTOOLBAR_SAVE') ?></span>
						</button>
					</div>
					<div class="btn-wrapper btn-group" id="toolbar-cancel">
						<button type="button" class="button-cancel btn btn-default btn-small"
						        onclick="window.parent && window.parent.jQuery('.iframe-drawer-close').click();">
							<i class="icon-cancel"></i>
							<span class="hidden-xs"> <?php echo JText::_('COM_SELLACIOUSDELIVERY_SLOTS_CLOSE') ?></span>
						</button>
					</div>
					<div class="clearfix"></div>
				</div>
			</div>
		</div>

		<div class="clearfix"></div>
		<br>

		<?php echo $this->loadTemplate('slots'); ?>
	</div>

	<input type="hidden" name="jform[shippingrule_id]" value="<?php echo $model->getState('slots.shipping_rule_id'); ?>" />
	<input type="hidden" name="jform[seller_uid]" value="<?php echo $model->getState('slots.seller_uid'); ?>" />
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
<script>
    jQuery($ => {
        if (window.parent !== window) {
	        <?php if ($this->app->input->get('layout') === 'close'): ?>
            window.parent.jQuery('.iframe-drawer-close').click();
	        <?php endif; ?>
        } else {
			<?php $url = 'index.php'; ?>
            window.parent.location.href = "<?php echo $url ?>";
        }
        document.getElementById('adminForm').onsubmit = () => Joomla.loadingLayer('show');
    });
</script>
