<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// No direct access
use Sellacious\StoreTimings\Slots;

defined('_JEXEC') or die;

/** @var SellaciousdeliveryViewSlots $this */

JHtml::_('jquery.framework');
JHtml::_('behavior.keepalive');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.formvalidator');

JHtml::_('script', 'com_sellacious/util.float-val.js', array('version' => S_VERSION_CORE, 'relative' => true));
JHtml::_('script', 'com_sellaciousdelivery/view.slots.js', array('version' => S_VERSION_CORE, 'relative' => true));

$days  = array('MONDAY', 'TUESDAY', 'WEDNESDAY', 'THURSDAY', 'FRIDAY', 'SATURDAY', 'SUNDAY');
/** @var SellaciousdeliveryModelSlots $model */
$model = $this->getModel();

$currency      = $this->helper->currency->getGlobal();
$currencyClass = 'g-currency';
?>
<script type="text/javascript">
    Joomla.submitbutton = function (task) {
        var form = document.getElementById('adminForm');
        var task2 = task.split('.')[1] || '';
        if (task2 == 'setType' || task2 == 'cancel' || document.formvalidator.isValid(form)) {
            Joomla.submitform(task, form);
        } else {
            alert(Joomla.JText._('COM_SELLACIOUS_VALIDATION_FORM_FAILED'));
        }
    }
</script>
<ul class="nav nav-tabs bordered">
	<?php foreach ($days as $i => $day):
		$active = $i == 0 ? 'active' : '';

		/** @var Slots $timeSlots */
		$timeSlots = $model->getSlots($i);
		$slots     = $timeSlots->toArray();

		if (!$slots):
			continue;
		endif;
		?>
		<li class="<?php echo $active; ?>">
			<a href="#tab-<?php echo $i; ?>" data-toggle="tab">
				<?php echo JText::_('COM_SELLACIOUSDELIVERY_SLOTS_DAY_' . $day, true) ?>
			</a>
		</li>
	<?php endforeach;?>
</ul>
<div id="myTabContent3" class="tab-content padding-10">
	<?php foreach ($days as $i => $day):
		$active = $i == 0 ? 'in active' : '';
		/** @var Slots $timeSlots */
		$timeSlots = $model->getSlots($i);
		$slots     = $timeSlots->toArray();

		if (!$slots):
			continue;
		endif;
		?>
		<div id="tab-<?php echo $i; ?>"
		     class="tab-pane fade <?php echo $active ?>">
			<?php if ($slots):?>
				<div class="slot-rates">
					<?php foreach ($slots as $j => $slot):
						$id       = $slot['id'];
						$fromTime = JFactory::getDate($slot['start'])->format('H:i a');
						$toTime   = JFactory::getDate($slot['end'])->format('H:i a'); ?>
						<div class="row margin-top-10">
							<div class="form-label col-sm-3 col-md-3 col-lg-2">
								<?php echo $fromTime . ' - ' . $toTime; ?>
							</div>
							<div class="controls col-sm-9 col-md-9 col-lg-10">
								<div class="input-group" style="display: block;">
									<input type="text" name="jform[slots][<?php echo $id; ?>][amount]" value="<?php echo $slot['amount'];?>" id="jform_slots_amount"
									       class="form-control w100px rate-box rate-box-<?php echo $j; ?>"
									       data-float="<?php echo $currency->decimal_places ?>" placeholder=""/>
									<label class="btn btn-default disabled">
										<span class="<?php echo $currencyClass; ?>"><?php echo $currency->code_3 ?></span>
									</label>

									<?php if ($j == 0): ?>
										<label>
											<button type="button" class="btn btn-primary copy-all" data-slot-index="<?php echo $j; ?>">
												<?php echo JText::_('COM_SELLACIOUSDELIVERY_SLOTS_COPY_TO_ALL')?>
											</button>
										</label>
									<?php endif; ?>
								</div>
							</div>
						</div>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
		</div>
	<?php endforeach;?>
</div>
