<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
use Joomla\Utilities\ArrayHelper;

defined('_JEXEC') or die;

/** @var array $displayData */
$items          = $displayData['items'];
$currency       = $displayData['currency'];
$baseCategoryId = ArrayHelper::getValue($displayData, 'base_category_id', 0);
$expandChildren = ArrayHelper::getValue($displayData, 'expand_children', false);

foreach ($items as $i => $item)
{
?>
	<tr role="row" data-category-id="<?php echo $item->id; ?>" data-base-catid="<?php echo $baseCategoryId; ?>">
		<td class="nowrap center hidden-phone">
			<label>
				<input type="checkbox" name="cid[]" id="cb<?php echo $i ?>" class="checkbox style-0"
				       value="<?php echo $item->id ?>" onclick="Joomla.isChecked(this.checked);" />
				<span></span>
			</label>
		</td>
		<td class="nowrap">
			<?php echo JLayoutHelper::render('joomla.html.treeprefix', array('level' => $item->level)); ?>
			<?php echo $this->escape($item->title);?>
			<?php if ($expandChildren && $item->max_gc_level >= 3): ?>
				<button type="button" class="btn-toggle button-mini pull-right"><i class="fa fa-plus"></i></button>
				<button type="button" class="btn-toggle button-mini pull-right hidden"><i class="fa fa-minus"></i></button>
			<?php endif; ?>
		</td>
		<td class="nowrap">
			<?php $value = $item->commission; ?>
			<div class="input-control btn-group" data-toggle="buttons">
				<input type="hidden" name="jform[commission][<?php echo $item->id ?>]" class="input-h" value="<?php echo $value; ?>"/>
				<input type="text" value="<?php echo $value; ?>"
				       class="form-control w100px pull-left input-ui"
				       placeholder="<?php echo JText::_('COM_SELLACIOUS_INPUT_PLACEHOLDER_AMOUNT'); ?>"/>
				<?php
				// sprintf: class, disabled, value, checked, required, disabled, label
				$choice = <<<HTML
					<label class="btn btn-default %s">
						<input type="radio" name="jform_commission_radio" value="%s" %s/>
						<span>%s</span>
					</label>
HTML;

				$percent = substr($value, -1) == '%';

				$val     = '%';
				$label   = '%';
				$checked = $percent ? ' checked="checked"' : '';
				$o_class = $percent ? ' active' : '';

				echo sprintf($choice, $o_class, $val, $checked, $label);

				$val     = '';
				$label   = $currency;
				$checked = $percent ? '' : ' checked="checked"';
				$o_class = $percent ? '' : ' active';

				echo sprintf($choice, $o_class, $val, $checked, $label);
				?>
			</div>
		</td>
	</tr><?php
}
