<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// No direct access
defined('_JEXEC') or die;

/**
 * View class for a product variant.
 *
 * @since   2.0.0
 */
class SellaciousdeliveryViewSlots extends SellaciousView
{
	/**
	 * Display view
	 *
	 * @param   string  $tpl  The name of the template file to parse
	 *
	 * @return  mixed  A string if successful, otherwise an Error object.
	 *
	 * @since  2.0.0
	 */
	public function display($tpl = null)
	{
		/** @var SellaciousdeliveryModelSlots $model */
		$model = $this->getModel();
		$state = $model->getState();

		if (!$state->get('slots.seller_uid'))
		{
			$this->app->enqueueMessage(JText::_('COM_SELLACIOUSDELIVERY_SLOTS_SELLER_MISSING'), 'warning');
			$this->app->redirect('index.php');
		}

		$this->app->input->set('tmpl', 'component');

		return parent::display($tpl);
	}
}
