<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */

// no direct access.
defined('_JEXEC') or die('Restricted access');

use Joomla\Utilities\ArrayHelper;

/**
 * @var array   $displayData
 *
 * @var string   $name
 * @var string   $id
 * @var string   $pickerId
 * @var mixed    $value
 * @var array    $params
 */
extract($displayData);

$dateFieldName   = $name;
$helper          = SellaciousHelper::getInstance();
$allDaysDisabled = $params['allDaysDisabled'];
$timeSelection   = $params['timeSelection'];
$nextHourSlabs   = $params['nextHourSlabs'];
$shipRuleId      = $params['shipRuleId'];
$c_currency      = $helper->currency->current('code_3');
$g_currency      = $helper->currency->getGlobal('code_3');

$dateFieldName = $shipRuleId ? $name . '[date]' : $dateFieldName;
$dateValue     = is_array($value) ? ArrayHelper::getValue($value, 'date') : $value;
$idValue       = is_array($value) ? ArrayHelper::getValue($value,'id') : $value;
$amountValue   = is_array($value) ? ArrayHelper::getValue($value,'amount') : null;

// Set default value as first
$defaultIdValue = null;

if (!$value && $nextHourSlabs)
{
	$slabs          = array_values($nextHourSlabs);
	$defaultIdValue = $slabs[0]['id'];
}

$params = htmlentities(json_encode($params));
?>
<div class="slot_section">
	<?php if ($allDaysDisabled):
		echo JText::_('PLG_SYSTEM_SELLACIOUSDELIVERY_FIELD_DELIVERYDATEPICKER_NO_DATES_FOUND'); ?>
	<?php else: ?>
	<ul class="pick_date" id="<?php echo $id . '_pick_date'; ?>">
		<?php if ($nextHourSlabs): ?>
			<input type="hidden"
			       class="delivery_date_amount"
			       name="<?php echo $name ?>[amount]"
			       value="<?php echo $amountValue; ?>"
			       id="<?php echo $id ?>_amount">
			<input type="hidden"
			       class="delivery_date_id"
			       name="<?php echo $name ?>[id]"
			       value="<?php echo $idValue; ?>"
			       id="<?php echo $id ?>_id">
			<?php if ($timeSelection != 2): ?>
				<input type="hidden"
				       class="w50p delivery_date"
				       name="<?php echo $dateFieldName ?>"
				       value="<?php echo $dateValue; ?>"
				       id="<?php echo $id ?>"
				       data-params="<?php echo $params; ?>">
			<?php endif; ?>
			<?php foreach ($nextHourSlabs as $nextHourSlab):
				$active = '';

				if (($idValue && $nextHourSlab['id'] == $idValue && $amountValue) || $nextHourSlab['id'] == $defaultIdValue)
				{
					$active = 'active';
				}
				?>
				<li>
					<div class='input-group date datepicker'>
						<span class="btn btn-date input-group-addon slabpicker <?php echo $active; ?>"
						      data-id="<?php echo $nextHourSlab['id'];?>"
						      data-date="<?php echo $nextHourSlab['date'];?>"
						      data-amount="<?php echo $nextHourSlab['amount'];?>">
							<?php echo $nextHourSlab['time']; ?><br>
							<?php echo $helper->currency->display($nextHourSlab['amount'], $g_currency, $c_currency, true);?>
						</span>
					</div>
				</li><?php
			endforeach; ?>
		<?php endif; ?>
		<?php if (!$shipRuleId || $timeSelection == 2): ?>
		<li>
			<div class='input-group date datepicker' id='<?php echo $pickerId ?>'>
				<input type="hidden"
				       class="w50p delivery_date"
				       name="<?php echo $dateFieldName ?>"
				       value="<?php echo $dateValue; ?>"
				       id="<?php echo $id ?>"
				       data-params="<?php echo $params; ?>">
				<span class="btn btn-date input-group-addon">
					<?php echo JText::_('PLG_SYSTEM_SELLACIOUSDELIVERY_CALENDAR'); ?>
				</span>
			</div>
		</li>
		<?php endif; ?>
	</ul>
	<?php endif; ?>
</div>
