<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

/** @var  array  $displayData */
$field = (object) $displayData;
JHtml::_('jquery.framework');
JHtml::_('script', 'com_sellacious/util.float-val.js', array('relative' => true, 'version' => S_VERSION_CORE));
JHtml::_('script', 'plg_system_sellaciousdelivery/field.timecombo.js', array('version' => S_VERSION_CORE, 'relative' => true));

$m = (is_array($field->value) && isset($field->value['m'])) ? (int) $field->value['m'] : 1;
$u = (is_array($field->value) && isset($field->value['u'])) ? (string) $field->value['u'] : 'minutes';

$min = $u == 'days' ? 2 : 1;

$num_readonly = in_array($u, array('today', 'tomorrow')) ? true : $field->readonly;
$class        = $field->class . ($num_readonly ? ' hidden' : '');
?>
<div class="input-group field-timecombo">
	<?php echo JHtml::_('select.genericlist', $field->options, $field->name.'[u]', 'class="'.$field->class.' pull-left combobox-list-md margin-right-5" ' .
	                                                                               $field->disabled . $field->readonly .$field->onchange . $field->required, 'id', 'title', $field->value['u'], $field->id); ?>
	<input type="number" min="<?php echo $min; ?>" name="<?php echo $field->name ?>[m]" id="<?php echo $field->id ?>_m" <?php echo $field->dirname ?>
		   class="<?php echo $class ?> form-control combobox-input-sm"  style="margin-right: -1px;"
		   value="<?php echo htmlspecialchars($field->value['m'], ENT_COMPAT, 'UTF-8') ?>" title=""
		<?php echo $field->size . $field->disabled . $field->readonly . $field->hint . $field->onchange . $field->maxLength .
			$field->required . $field->autocomplete . $field->autofocus . $field->spellcheck . $field->inputmode . $field->pattern ?>
	/>
</div>
